#include <iostream>

using namespace std;

struct granice {
    int donjaGranica;
    int gornjaGranica;
};

struct pitanja{
    int l, r, x;
};

int ispitivanje(granice [], pitanja);

int main(void){

    int n, m;
    cin >> n;   //broj vagi
    cin >> m;   //broj pitanja

    granice niz[n];
    for(int i=0; i<n; ++i){
        cin >> niz[i].donjaGranica;
        cin >> niz[i].gornjaGranica;
    }

    pitanja pitanje[m];
    for(int i=0; i<m; ++i){
        cin >> pitanje[i].l;
        cin >> pitanje[i].r;
        cin >> pitanje[i].x;
    }

    for(int i=0; i<m; ++i){
        cout << ispitivanje(niz, pitanje[i]) << endl;
    }


    return 0;
}

int ispitivanje(granice niz[], pitanja p){

    int brojac = 0;

    for(int j = p.l - 1; j < p.r; ++j){
        if((p.x >= niz[j].donjaGranica) && (p.x <= niz[j].gornjaGranica)){
            brojac += 1;
        }
    }

    return brojac;

}